Subject: bug#21268: 24.4; request: add-several-to-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 21:59:18 +0200

Michael Hoffman <[email-masked]> writes:

> I would like to request the following function be added to subr.el:
>
> (defun add-several-to-list (list-var &rest elements)
>   "Add to LIST-VAR all ELEMENTS."
>   (dolist (element (reverse elements))
>     (add-to-list list-var element)))
>
> This is useful in adding many items to configuration variables without
> duplication, while keeping the same order, and avoiding repeated calls
> to add-to-list.

I think this seems like a too specialised function to be generally
useful.  And it's about the same thing as

(cl-delete-duplicates (append old new))

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no